#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 3
%define _cmake_skip_rpath -DCMAKE_SKIP_RPATH:BOOL=OFF

Summary:        Plasma 5 Window Manager
Name:           kwin
Version: 5.8.6
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  xcb-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  x11-server-xwayland

BuildRequires:  qt5core-private-devel
BuildRequires:  qt5gui-private-devel
BuildRequires:  qt5platformsupport-private-devel

BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(libinput) >= 0.10
BuildRequires:  pkgconfig(libudev)

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5QuickWidgets)

BuildRequires:  kactivities-devel
BuildRequires:  kdoctools-devel
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kglobalaccel-devel
BuildRequires:  ki18n-devel
BuildRequires:  kinit-devel
BuildRequires:  kservice-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  knotifications-devel
BuildRequires:  kwidgetsaddons-devel 
BuildRequires:  kwindowsystem-devel
BuildRequires:  kcmutils-devel
BuildRequires:  knewstuff-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdecoration-devel
BuildRequires:  kwayland-devel >= 5.3.95
BuildRequires:  kscreenlocker-devel

BuildRequires:  cmake(Breeze) >= %version

Requires:       qtmultimedia5
Requires:       %name-common = %version-%release
Requires:       kscreenlocker
Requires:       kinit
Requires:       breeze

Conflicts:      kdebase4-workspace < 2:4.11.23

%description
Plasma 5 Window Manager.

%files 
%_kf5_bindir/kwin_x11
%_kf5_libdir/libkdeinit5_kwin_x11.so
%_libexecdir/org_kde_kwin_xclipboard_syncer
%_qt5_plugindir/org.kde.kwin.platforms/KWinX11Platform.so

#--------------------------------------------------------------------

%package        common
Summary:        Common files for KWin X11 and KWin Wayland

Conflicts:      %name < 5.6.5

%description    common
Common files for KWin X11 and KWin Wayland.

%files common -f %{name}.lang
%_kf5_libdir/libkdeinit5_kwin_rules_dialog.so
%_kf5_datadir/kwin
%_kf5_datadir/dbus-1/interfaces/*.xml
%_kf5_iconsdir/*/*/apps/*
%_kf5_knotificationsdir/kwin.notifyrc
%_kf5_services/*.desktop
%_kf5_services/kwin
%_kf5_servicetypes/*.desktop
%_kf5_datadir/kwincompositing
%_kf5_qmldir/org/kde/kwin
%_qt5_plugindir/*.so
%_qt5_plugindir/kwin
%_libexecdir/kwin_killer_helper
%_libexecdir/kwin_rules_dialog
%_kf5_datadir/config.kcfg/kwin.kcfg
%_kf5_sysconfdir/xdg/*.knsrc
%_kf5_sysconfdir/xdg/org_kde_kwin.categories
%_kf5_libdir/kconf_update_bin/kwin5_update_default_rules
%_qt5_plugindir/org.kde.kdecoration2/kwin5_aurorae.so
%_qt5_plugindir/org.kde.kglobalaccel5.platforms
%_qt5_plugindir/platforms/KWinQpaPlugin.so

#--------------------------------------------------------------------

%define kwin4_effect_builtins_major 1
%define libkwin4_effect_builtins %mklibname kwin4_effect_builtins %{kwin4_effect_builtins_major}

%package -n %libkwin4_effect_builtins
Summary:      Plasma 5 Window Manager
Group:        System/Libraries


%description -n %libkwin4_effect_builtins
Plasma 5 Window Manager.

%files -n %libkwin4_effect_builtins
%_kf5_libdir/libkwin4_effect_builtins.so.%{kwin4_effect_builtins_major}*

#--------------------------------------------------------------------

%define kwineffects_major 5
%define libkwineffects %mklibname kwineffects %{kwineffects_major}

%package -n %libkwineffects
Summary:      Plasma 5 Window Manager
Group:        System/Libraries


%description -n %libkwineffects
Plasma 5 Window Manager.

%files -n %libkwineffects
%_kf5_libdir/libkwineffects.so.%{kwineffects_major}*
%_kf5_libdir/libkwineffects.so.9

#--------------------------------------------------------------------

%define kwinglutils_major 5
%define libkwinglutils %mklibname kwinglutils %{kwinglutils_major}

%package -n %libkwinglutils
Summary:      Plasma 5 Window Manager
Group:        System/Libraries


%description -n %libkwinglutils
Plasma 5 Window Manager.

%files -n %libkwinglutils
%_kf5_libdir/libkwinglutils.so.%{kwinglutils_major}*
%_kf5_libdir/libkwinglutils.so.9

#--------------------------------------------------------------------

%define kwinxrenderutils_major 5
%define libkwinxrenderutils %mklibname kwinxrenderutils %{kwinxrenderutils_major}

%package -n %libkwinxrenderutils
Summary:      Plasma 5 Window Manager
Group:        System/Libraries


%description -n %libkwinxrenderutils
Plasma 5 Window Manager.

%files -n %libkwinxrenderutils
%_kf5_libdir/libkwinxrenderutils.so.%{kwinxrenderutils_major}*
%_kf5_libdir/libkwinxrenderutils.so.9

#--------------------------------------------------------------------

%define kwin_major 5
%define libkwin %mklibname kwin %{kwin_major}

%package -n %libkwin
Summary:      Plasma 5 Window Manager
Group:        System/Libraries


%description -n %libkwin
Plasma 5 Window Manager.

%files -n %libkwin
%_kf5_libdir/libkwin.so.%{kwin_major}*

#--------------------------------------------------------------------

%package        wayland
Summary:        KDE Window Manager with experimental Wayland support
Requires:       %{name}-common%{?_isa} = %{version}-%{release}
Requires:       kwayland-integration%{?_isa} 
Requires:       qtwayland5
Requires:       x11-server-xwayland

%description    wayland
KDE Window Manager with experimental Wayland support.

%files wayland
%_kf5_bindir/kwin_wayland
%_qt5_plugindir/platforms/KWinQpaPlugin.so
%_qt5_plugindir/org.kde.kglobalaccel5.platforms/KF5GlobalAccelPrivateKWin.so
%_qt5_plugindir/org.kde.kwin.waylandbackends/*.so
%_kf5_plugindir/org.kde.kidletime.platforms/KF5IdleTimeKWinWaylandPrivatePlugin.so

#--------------------------------------------------------------------

%define kwin_devel %mklibname kwin -d

%package -n %kwin_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkwinxrenderutils = %version-%release
Requires:       %libkwinglutils = %version-%release
Requires:       %libkwineffects = %version-%release
Requires:       %libkwin4_effect_builtins = %version-%release
Requires:       %libkwin = %version-%release
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kwin_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kwin_devel
%_kf5_prefix/include/*.h
%_kf5_libdir/*.so
%_kf5_libdir/libkwin4_effect_builtins.so
%_kf5_libdir/libkwineffects.so
%_kf5_libdir/libkwinglutils.so
%_kf5_libdir/libkwinxrenderutils.so
%_kf5_libdir/cmake/KWinDBusInterface

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
BuildArch: noarch

%description handbook
This package provides %{name} Handbook.

%files handbook 
%doc %_kf5_docdir/HTML/en/kcontrol/windowspecific
%doc %_kf5_docdir/HTML/en/kcontrol/desktop
%doc %_kf5_docdir/HTML/en/kcontrol/kwindecoration
%doc %_kf5_docdir/HTML/en/kcontrol/kwinscreenedges
%doc %_kf5_docdir/HTML/en/kcontrol/kwintabbox
%doc %_kf5_docdir/HTML/en/kcontrol/windowbehaviour
%doc %_kf5_docdir/HTML/en/kcontrol/kwineffects

#------------------------------------------------


%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir" -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=ON

%make_build

%install
%make_install -C build

%find_lang %{name} --all-name



%changelog
* Thu Mar 09 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1090534
- Rebuild for Armv7

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1090375
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.8.6-1.mga6
+ Revision: 1089031
- New version 5.8.6

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078718
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078166
- New version 5.8.5

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070723
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065083
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064484
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063054
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060279
- New version 5.8.1

* Sat Oct 01 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057982
- New version 5.8.0

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-1.mga6
+ Revision: 1053132
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052688
- New version 5.7.5

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048878
- New version 5.7.4

* Tue Aug 02 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044274
- New version 5.7.3

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042562
- New version 5.7.2

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-7.mga6
+ Revision: 1042348
- Rebuild because of failure on armv7 build

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-6.mga6
+ Revision: 1042339
- Remove wrong require

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-5.mga6
+ Revision: 1042308
- Add x11-server-xwayland as require of the wayland package

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-4.mga6
+ Revision: 1042259
- Build drm backend

* Sat Jul 16 2016 neoclust <neoclust> 5.7.1-3.mga6
+ Revision: 1042238
- Make wayland package to require qtwayland5 ( mga #18954)

* Fri Jul 15 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042111
- Add conflict to ease upgrade ( mga #18798)

* Tue Jul 12 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041399
- New version 5.7.1

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039562
- New version 5.7.0

* Mon Jul 04 2016 neoclust <neoclust> 5.6.5-1.mga6
+ Revision: 1038683
- New version 5.6.5

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014544
- New version 5.6.4

* Thu May 05 2016 neoclust <neoclust> 5.6.3-2.mga6
+ Revision: 1009647
- Split out wayland support

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009281
- New version 5.6.3

* Fri Apr 08 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999265
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998020
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994395
- New version 5.6.0

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 987087
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 984723
- New version 5.5.95

* Tue Jan 26 2016 neoclust <neoclust> 5.5.4-1.mga6
+ Revision: 927975
- New version 5.5.4

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922510
- New version 5.5.3
- Rebuild against new cmake to have cmake() provides

* Sat Dec 26 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 915446
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910690
- New version 5.5.1

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908851
- New version 5.5.0

* Sun Nov 29 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 907185
- Rebuild for ARM

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-1.mga6
+ Revision: 904476
- New version 5.4.95

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 900720
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899657
- Rebuild against fixed extra-cmake-modules

* Sat Nov 07 2015 neoclust <neoclust> 5.4.90-1.mga6
+ Revision: 898422
- New version 5.4.90

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889522
- New version 5.4.2

* Wed Sep 09 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 874734
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869651
- New version 5.4.0

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-3.mga6
+ Revision: 863501
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-2.mga6
+ Revision: 863437
- Workaround dbus interface error

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863384
- Fix BuildRequires
- Requires qtmultimedia5 for multimedia playback
- New version 5.3.95

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 860416
- Fix files list to not pull devel files

* Sun Jul 19 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 855421
- Add Conflict to ease upgrade

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 852191
- Remove conflicts

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851820
- Remove conficts

* Sun Jul 05 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850886
+ rebuild (emptylog)

* Fri Dec 19 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804286
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793584
- add missing conflicts with KDE 4 (mga#14300)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 747040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 681250
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664807
- fix duplicated files in kwin and -devel
- mv dbus-1 interfaces in kwin
- fix summaries & descriptions
- use find_lang --all-name

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663942
- Rename as this is not a framework
- Rename

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662785
- New version 5.0.1

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 655158
- imported package kf5-kwin

